# InformationLossWithBound (ARX API Documentation)

org.deidentifier.arx.metric

## Class InformationLossWithBound<T extends InformationLoss<?>>

- java.lang.Object
- - org.deidentifier.arx.metric.InformationLossWithBound<T>

- Type Parameters:
    `T` -
  Direct Known Subclasses:
    ILMultiDimensionalWithBound, ILSingleDimensionalWithBound, InformationLossDefaultWithBound

      public class InformationLossWithBound<T extends InformationLoss<?>>
      extends java.lang.Object

  Information loss with a potential lower bound.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InformationLossWithBound(T informationLoss)` Creates a new instance without a lower bound.
    `InformationLossWithBound(T informationLoss, T lowerBound)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `getInformationLoss()`
    `T` | `getLowerBound()`
    `boolean` | `hasLowerBound()` Is a lower bound provided.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InformationLossWithBound

          public InformationLossWithBound(T informationLoss)

      Creates a new instance without a lower bound.
      Parameters:
        `informationLoss` -

    - #### InformationLossWithBound

          public InformationLossWithBound(T informationLoss,
                                  T lowerBound)

      Creates a new instance.
      Parameters:
        `informationLoss` -
        `lowerBound` -

  - ### Method Detail

    - #### getInformationLoss

          public T getInformationLoss()

      Returns:
        the informationLoss

    - #### getLowerBound

          public T getLowerBound()

      Returns:
        the lowerBound

    - #### hasLowerBound

          public boolean hasLowerBound()

      Is a lower bound provided.
      Returns: